pcsxr crashes on 15.04

Bug #1457179 reported by Tessa on 2015-05-20
16
This bug affects 3 people
Affects Status Importance Assigned to Milestone
pcsxr (Ubuntu)
Medium
Unassigned

Bug Description

pcsxr doesn't seem to work properly on 15.04, it just crashes on any ISO:

$ ALSA lib pcm_dmix.c:1022:(snd_pcm_dmix_open) unable to open slave
RGB mode found. id: 18424752, depth: 24
The program 'pcsx' received an X Window System error.
This probably reflects a bug in the program.
The error was 'BadRequest (invalid request code or no such operation)'.
  (Details: serial 71 error_code 1 request_code 150 minor_code 19)
  (Note to programmers: normally, X errors are reported asynchronously;
   that is, you will receive the error a while after causing it.
   To debug your program, run it with the --sync command line
   option to change this behavior. You can then get a meaningful
   backtrace from your debugger if you break on the gdk_x_error() function.)

You can test this by trying to load a public-domain ISO, such as a Playstation demo:
http://www.pouet.net/prod.php?which=133

ProblemType: Bug
DistroRelease: Ubuntu 15.04
Package: pcsxr 1.9.92-4
ProcVersionSignature: Ubuntu 3.19.0-16.16-generic 3.19.3
Uname: Linux 3.19.0-16-generic x86_64
ApportVersion: 2.17.2-0ubuntu1
Architecture: amd64
CurrentDesktop: Unity
Date: Wed May 20 11:41:28 2015
InstallationDate: Installed on 2014-04-22 (393 days ago)
InstallationMedia: Ubuntu 14.04 LTS "Trusty Tahr" - Release amd64 (20140417)
SourcePackage: pcsxr
UpgradeStatus: Upgraded to vivid on 2015-05-07 (13 days ago)

Tessa (unit3) wrote :
Tessa (unit3) wrote :

This seems to be only a problem with Intel's open source video drivers. When I use nvidia-prime to switch to the nvidia binary drivers, the program runs correctly.

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in pcsxr (Ubuntu):
status: New → Confirmed
Changed in pcsxr (Ubuntu):
importance: Undecided → Medium
aliva (aliva) wrote :

I had same problem, (intel driver, same crash,..)

in Configuration -> Plugins and bios -> Graphics -> select "OpenGL Driver ..."

fixed the problem for me.

Robert (derstix) wrote :

Same problem here.
after setting to OpenGL the PCSX screen shows up for a couple of seconds and crashes...
what can i do????

James Cowgill (jcowgill) on 2016-03-31
Changed in pcsxr (Ubuntu):
status: Confirmed → Fix Committed
Rafael Fonseca (rafaelfonseca) wrote :

Hello guys. I recently had the same problem with the application. However, when reading the reviews assessments by the Ubuntu Software Center, I noticed that one of the users said the following:

"Who is with PCSX problems soon close after starting the game goes on '/home/nomedousuario/.pcsx/ ' and click the pcsx.cfg file, go 'cpu = 0' and change to '1', here it worked."

So I decided to test. And really, it worked perfectly. I hope this helps at all.

P.S: I'm using Ubuntu 14.04.4 LTS.

James Cowgill (jcowgill) wrote :

rafaelfonseca, did you mean to comment on 1504834?

Also, both of these bugs are fixed in 1.9.94-2 (which is in Debian). I'm not sure I'm going to have any time to try and get them into the 16.04 release though I'm afraid.

Rafael Fonseca (rafaelfonseca) wrote :

James, I actually did not see the comment that bug you mentioned, but it is similar. The comment I quoted seen by Ubuntu Software Center even.

Now for the test in the new version (16.04), I will try to make it if possible.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package pcsxr - 1.9.94-2

---------------
pcsxr (1.9.94-2) unstable; urgency=medium

  * Add patch to fix FTBFS on non-Linux architectures.
  * Add patch to remove use of __DATE__ to make the build reproducible.

 -- James Cowgill <email address hidden> Fri, 01 Apr 2016 23:07:11 +0100

Changed in pcsxr (Ubuntu):
status: Fix Committed → Fix Released
dan (dan1980) wrote :

janitor ,

is this fix applies to linux mint?

and how do i install the fix please,there are some files on the fix's page...here ->https://launchpad.net/ubuntu/+source/pcsxr

James Cowgill (jcowgill) wrote :

Dan, you need pcsxr 1.9.94-2 which is in yaketty and zesty.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers